<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

/**
 * События уведомлений. Расшифровка значений:
 * * 101` - Переход заказа в статус 'Ожидает оплаты'
 * * 102` - Переход заказа в статус 'Новый'
 * * 103` - Переход заказа в статус 'Подтвержден'
 * * 104` - Переход заказа в статус 'Завершён'
 * * 105` - Переход заказа в статус 'Отменен'
 * * 201` - Переход отправления в статус 'Новый'
 * * 202` - Переход отправления в статус 'Собран'
 * * 203` - Переход отправления в статус 'Передан СД'
 * * 204` - Переход отправления в статус 'Готов к выдаче'
 * * 205` - Переход отправления в статус 'Получен'
 * * 206` - Переход отправления в статус 'Отменен'
 * * 401` - Запрос кода подтверждения
 */
enum CommunicationNotificationEventEnum: int
{
    /** Переход заказа в статус 'Ожидает оплаты' */
    case ORDER_WAIT_PAY = 101;
    /** Переход заказа в статус 'Новый' */
    case ORDER_NEW = 102;
    /** Переход заказа в статус 'Подтвержден' */
    case ORDER_APPROVED = 103;
    /** Переход заказа в статус 'Завершён' */
    case ORDER_DONE = 104;
    /** Переход заказа в статус 'Отменен' */
    case ORDER_CANCELED = 105;
    /** Переход отправления в статус 'Новый' */
    case DELIVERY_NEW = 201;
    /** Переход отправления в статус 'Собран' */
    case DELIVERY_ASSEMBLED = 202;
    /** Переход отправления в статус 'Передан СД' */
    case DELIVERY_TRANSFER = 203;
    /** Переход отправления в статус 'Готов к выдаче' */
    case DELIVERY_READY_TO_PICKUP = 204;
    /** Переход отправления в статус 'Получен' */
    case DELIVERY_DONE = 205;
    /** Переход отправления в статус 'Отменен' */
    case DELIVERY_CANCELED = 206;
    /** Запрос кода подтверждения */
    case SEND_CONFIRMATION_CODE = 401;
}
